This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 175262 - Cannot upgrade latest kernel from rpm packages
Cannot upgrade latest kernel from rpm packages
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: GFS-kernel (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Feist
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-08 06:40 EST by JW
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-21 22:20:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description JW 2005-12-08 06:40:07 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; MSIE 6.0; Windows; U; AIIEEEE!; Win98; Windows 98; en-US; Gecko masquerading as IE; should it matter?; rv:1.8b) Gecko/20050217

Description of problem:
It should be a relatively simple task to upgrade kernel from packages in updates.  But it is not - in fact it appears to be impossible.



Version-Release number of selected component (if applicable):
kernel-2.6.13-1.1532_FC4

How reproducible:
Always

Steps to Reproduce:
1.rpm -Fvh rpm -Fvh kernel-2.6.14-1.1644_FC4.i686.rpm kernel-devel-2.6.14-1.1644_FC4.i686.rpm kernel-doc-2.6.14-1.1644_FC4.noarch.rpm cman-kernel-2.6.11.5-20050601.152643.FC4.17.i686.rpm GFS-kernel-2.6.11.8-20050601.152643.FC4.19.i686.rpm gnbd-kernel-2.6.11.2-20050420.133124.FC4.52.i686.rpm dlm-kernel-2.6.11.5-20050601.152643.FC4.16.i686.rpm
2.
3.


Actual Results:  error: Failed dependencies:
        /lib/modules/2.6.14-1.1637_FC4 is needed by cman-kernel-2.6.11.5-20050601.152643.FC4.17.i686
        /lib/modules/2.6.14-1.1637_FC4 is needed by GFS-kernel-2.6.11.8-20050601.152643.FC4.19.i686
        /lib/modules/2.6.14-1.1637_FC4 is needed by gnbd-kernel-2.6.11.2-20050420.133124.FC4.52.i686
        /lib/modules/2.6.14-1.1637_FC4 is needed by dlm-kernel-2.6.11.5-20050601.152643.FC4.16.i686


Expected Results:  Install should have completed successfully.


Additional info:

Most of the above modules appear to have been created on 21st Nov, but the kernel was compiled on 28th November.

So the {cman,GFS,dlm,gnbd}-kernel packages where compiled on system running kernel-2.6.14-1.1637_FC4, then the new kernel was compiled and released. But isn't that a*^#-about-face?

Where are the {cman,GFS,dlm,gnbd}-kernel packages that were compiled for the new kernel-2.6.14-1.1644_FC4?

Surely the procedure should be:
1. build kernel
2. install kernel
3. compile {cman,GFS,dlm,gnbd}-kernel
4. release kernel and {cman,GFS,dlm,gnbd}-kernel to updates

Only if you do that will it be possible to freshen kernel etc using rpm packages (without -force).
Comment 1 Chris Feist 2005-12-14 14:53:51 EST
The GFS kernel modules have now been rebuilt for the latest FC4 kernel
(2.6.14-1.1653_FC4).
Comment 2 Bill Nottingham 2006-09-21 22:20:23 EDT
Closing bugs in MODIFIED state from prior Fedora releases. If this bug persists
in a current Fedora release (such as Fedora Core 5 or later), please reopen and
set the version appropriately.

Note You need to log in before you can comment on or make changes to this bug.